> Author : Zhihui Li
>
> E-mail：[18210700119@fudan.edu.cn](mailto:18210700119@fudan.edu.cn)
>
> Git: <http://choppy.3steps.cn/lizhihui/fastqscreen.git>
>
> Last Updates: 28/08/2019

## 简介

FastQ Screen是通过定量比对到一组参考基因组上的reads比例，验证DNA样品来源的工具。它把把常见的基因组建个索引，然后逐个比对，哪个比对最高，就是哪个污染。当需要确认来源基因组时，需要针对多个基因组进行比对。它通过定量比对到一组参考基因组上的reads比例，验证DNA样品来源的工具。FastQ Screen旨在常规地用作一种质量控制措施和分析DNA来源不确定或具有多种来源的样品。针对多个基因组进行比对对检测污染或鉴定样品互换也是有用的，若不检测，可能导致错误的实验结果。`fastqscreen`是用于 [Choppy-pipe](http://choppy.3steps.cn/) 系统使用的 APP。

Tips：2020.2.19日更新，目前fastqscreen不再比对mapping上老鼠上的基因比例，无需重装APP。


## 快速安装及使用

#### Requirements

- Python 3
- [choppy](http://choppy.3steps.cn/)
- Ali-Cloud

在终端中输入以下命令即可快速安装本APP。

```bash
1.安装
$ source activate choppy-py3
$ choppy install lizhihui/fastqscreen
$ choppy apps
2.使用
$ choppy samples fastqscreen-latest --out Projectname_fastqscreen_date_people.csv
$ choppy batch fastqscreen-latest Projectname_fastqscreen_date_people.csv --project-name Projectname_fastqscreen_date_people
```

## 使用方法

### 任务的准备

按照上述步骤安装成功之后，可以通过下面简单的命令即可使用APP：

```bash
# Generate samples file
$ choppy samples fastqscreen-latest --out Projectname_fastqscreen_date_people.csv
```

`Projectname_fastqscreen_date_people.csv` 包含以下几个需要填写的参数：

- 文件中必须包含的列为：
  - sample_id：样本名称+方向，该名称将自动作为生成结果文件的前缀名
  - read：原始FASTQ文件所在的OSS路径（R1和R2）

```bash
read1,read2,sample_name,cluster,sample_id,disk_size
# read  		双端测序数据的R1、R2端在阿里云上的路径信息
# sample_id		每个样本任务的识别码。注意：同一个samples文件中，不同样本的ID应该不同
```

### 任务提交

在配置好`Projectname_fastqscreen_date_people.csv` 文件后，使用以下命令可以提交计算任务：

```bash
$ choppy batch fastqscreen-latest Projectname_fastqscreen_date_people.csv --project-name Projectname_fastqscreen_date_people
```

提交成功后，即可在工作目录下找到生成的目录名为Projectname_fastqscreen_date_people，里面包含了本次提交任务的所有样本信息。

### 任务输出

任务成功结束后，便可以在阿里云相应的OSS端生成相应的结果文件。包括测序原始数据对多个基因组进行比对产生的包含来源基因组信息的`html`、`png`、`txt`文件。

## APP流程概述

​    FastQ Screen把常见的基因组建个索引，然后逐个比对，哪个比对最高，就是哪个污染。是高通量测序分析中常见的工具，用于评估样品是否被其他物种污染，常见的有支原体污染，接头污染等，一般会整合到分析流程中，作为质控的一部分。

## 输出文件说明

运行APP后，

每个sample对应一个文件夹，内部结构如下：

- call-fastq_screen

  - <sample_id>_screen.html

  - <sample_id>_screen.png

  - <sample_id>_screen.txt

    

## 软件版本及参数

### 软件版本

fastqscreen: 0.12.0



### 使用参数

1. disk_size: 100
2. fastq_screen_reference: oss://pgx-reference-data/fastq_screen_reference/
3. cluster_config: OnDemand bcs.a2.large img-ubuntu-vpc



## 参考文献

[1]https://www.researchgate.net/publication/327713279_FastQ_Screen_A_tool_for_multi-genome_mapping_and_quality_control





